This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475551 - [LTC 5.4 FEAT] TTY terminal server over IUCV (kernel) [201734]
[LTC 5.4 FEAT] TTY terminal server over IUCV (kernel) [201734]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On: 475558
Blocks: 445204 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-09 11:50 EST by IBM Bug Proxy
Modified: 2011-12-02 14:09 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Provides the kernel code to implement a client & server for a TTY terminal server under z/VM using IUCV as communication vehicle.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
linux-2.6.18-s390-kernel-set-default-console.patch (1.19 KB, text/plain)
2009-02-26 16:20 EST, IBM Bug Proxy
no flags Details
linux-2.6.18-s390-iucv-lockfree-send-recv.patch (9.46 KB, text/plain)
2009-02-26 16:32 EST, IBM Bug Proxy
no flags Details
linux-2.6.18-s390-hvc-console-upgrade.patch (26.82 KB, text/plain)
2009-02-26 16:32 EST, IBM Bug Proxy
no flags Details
linux-2.6.18-s390-hvc-console-backport.patch (3.44 KB, text/plain)
2009-02-26 16:32 EST, IBM Bug Proxy
no flags Details
linux-2.6.18-s390-kernel-hvc_iucv.patch (38.13 KB, text/plain)
2009-02-26 16:32 EST, IBM Bug Proxy
no flags Details
linux-2.6.18-s390-kernel-hvc_iucv-config.patch (1.65 KB, text/plain)
2009-02-26 16:32 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50353 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 11:50:52 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201734]
a. Name of Feature:	TTY terminal server over IUCV (kernel)
b. Feature Description
Implement client & server for a TTY terminal server under z/VM using IUCV as communication vehicle.
 
 This line item corresponds to the terminal client running on the numerous guests.
 The terminal client is a Linux tty / console driver with a fixed device node.

Additional Comments:	This kernel feature requires a userspace part that is feature: 201735 - TTY
terminal server over IUCV - userspace

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.29

3. Business Case
Customer requirement to solve restriction to access to the Linux console for many Linux
administrators concurrently and they find the z/VM 3270 interface inadequate for the 200+ Linux
admins due to the inability to use common programs such as vi from this interface.

The customer has a requirement that the Linux system that needs to have its console accessed, will
have its TCPIP stack shutdown, so the solution can not involve an IP connection to that system IP stack.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2008-12-09 12:04:07 EST
Co-dependent on https://bugzilla.redhat.com/show_bug.cgi?id=475558
Comment 2 IBM Bug Proxy 2009-01-22 04:30:36 EST
As discussed in yesterdays Red Hat call

Status:
The code for this feature has to be expected late
Actual outlook is ca. mid of March
The reason we try to get this done is because this is a customer request
and the IBM assessment is there are other customers in the same situation.

This impacts common code
IBM development is checking that this does not break kabi

Plan: Send code when available and assess doability on Red Hat site
If this does not break kabi
-> code avail. mid march may be containable, if that date does not slip

Note: The implementation of this feature is a question of capacity that late in the process therefore this might have to go to 5.5 if no slot can be found.
Comment 3 RHEL Product and Program Management 2009-02-16 10:16:34 EST
Updating PM score.
Comment 4 IBM Bug Proxy 2009-02-18 10:02:30 EST
Please do not forget to update documentation and/or release notes as mentioned in eSDT:

??? Provides the kernel part to implement a client & server for a TTY terminal server under z/VM using IUCV as communication vehicle.
??? More details under:
??? ???2.2 TTY Terminal Server over IUCV??? Linux on System z Final Prog. SPECs for developerWorks Code Drop 2Q2009
??? Latest version of Device Drivers, Features, and Commands (in May 2009) at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html

Thank you!
Comment 5 IBM Bug Proxy 2009-02-26 16:20:41 EST
Created attachment 333388 [details]
linux-2.6.18-s390-kernel-set-default-console.patch
Comment 6 IBM Bug Proxy 2009-02-26 16:32:15 EST
Created attachment 333390 [details]
linux-2.6.18-s390-iucv-lockfree-send-recv.patch
Comment 7 IBM Bug Proxy 2009-02-26 16:32:20 EST
Created attachment 333391 [details]
linux-2.6.18-s390-hvc-console-upgrade.patch
Comment 8 IBM Bug Proxy 2009-02-26 16:32:25 EST
Created attachment 333392 [details]
linux-2.6.18-s390-hvc-console-backport.patch
Comment 9 IBM Bug Proxy 2009-02-26 16:32:30 EST
Created attachment 333393 [details]
linux-2.6.18-s390-kernel-hvc_iucv.patch
Comment 10 IBM Bug Proxy 2009-02-26 16:32:35 EST
Created attachment 333394 [details]
linux-2.6.18-s390-kernel-hvc_iucv-config.patch
Comment 11 Hans-Joachim Picht 2009-03-12 10:33:03 EDT
This patch has been posted to rhkernel on March 12. by Hans-Joachim Picht <hpicht@redhat.com>
Comment 12 Don Zickus 2009-04-06 17:17:30 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 14 Chris Ward 2009-06-14 19:18:12 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 15 Chris Ward 2009-07-03 14:16:34 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 16 Shawn Wells 2009-07-08 16:09:05 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Provides the kernel code to implement a client & server for a TTY terminal server under z/VM using IUCV as communication vehicle.
Comment 17 Chris Ward 2009-07-10 15:08:01 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 19 Caspar Zhang 2009-07-29 01:07:20 EDT
Verified the patches to this bug has been included in kernel-2.6.18-160.el5
Comment 20 IBM Bug Proxy 2009-08-03 04:01:58 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 03:53 EDT-------
Feature verified on RHEL 5.4 snapshots  - closing feature request
Comment 22 errata-xmlrpc 2009-09-02 04:23:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.